"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSwagger = void 0;
const routing_controllers_1 = require("routing-controllers");
const routing_controllers_openapi_1 = require("routing-controllers-openapi");
const swagger_ui_express_1 = require("swagger-ui-express");
const useSwagger = (options) => {
    const storage = (0, routing_controllers_1.getMetadataArgsStorage)();
    const properties = Object.assign({ components: {}, info: {
            title: 'My service',
            version: '1.0.0',
        } }, options);
    const spec = (0, routing_controllers_openapi_1.routingControllersToSpec)(storage, {}, properties);
    const addSwaggerRoutes = (app) => {
        app.use('/swagger', swagger_ui_express_1.serve, (0, swagger_ui_express_1.setup)(spec));
    };
    return {
        addSwaggerRoutes,
    };
};
exports.useSwagger = useSwagger;
//# sourceMappingURL=useSwagger.js.map